ImageLoader (JEL API)
Keywords: gnu.jel.ImageLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class ImageLoader

    java.lang.Object
      java.lang.ClassLoader
          gnu.jel.ImageLoader

    public class ImageLoader

extends ClassLoader

Loads JEL-generated classes into Java VM.

Specifics of JEL generated classes is that the class name UTF8 is always the first entry in the constant pool. This loader will not load other classes.

Method Summary
`static Class` | `load(byte[] image)` Loads given JEL-generated image under its own name.
`protected Class` | `loadClass(String name, boolean resolve)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### load

    public static Class load(byte[] image)

  Loads given JEL-generated image under its own name.

  Parameters:
    `image` - to load
  Returns:
    the class object for the new class or `null` if unsuccessful.

### loadClass

    protected Class loadClass(String name,
                              boolean resolve)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2006 Konstantin L. Metlov All Rights Reserved.